--- a/linphone-app/CMakeLists.txt
+++ b/linphone-app/CMakeLists.txt
@@ -121,7 +121,7 @@ set(APP_TARGETS ${LinphoneCxx_TARGET}
 ####################################
 
 if(ENABLE_QT_KEYCHAIN)
-	find_package(QtKeychain)
+	find_package(Qt5Keychain)
 	if(NOT QtKeychain_FOUND)
 		find_package(${QTKEYCHAIN_TARGET_NAME} CONFIG REQUIRED)
 	endif()
